<?xml version="1.0" encoding="utf-8"?>
<s:TitleWindow xmlns:fx="http://ns.adobe.com/mxml/2009"
			   xmlns:s="library://ns.adobe.com/flex/spark"
			   xmlns:ui="library://ns.adobe.com/flex/ui"
			   xmlns:mx="library://ns.adobe.com/flex/mx"
			   xmlns:components="br.com.dclick.components.*"
			   close="titlewindowCloseHandler(event)" 
			   creationComplete="creationCompleteHandler(event)" 
			   title="Pesquisa de PagamentoDocumentoEntradaSaida" 
			   xmlns:visual="br.com.desenv.framework.component.visual.*"
			   maxWidth="1200" maxHeight="700" 
			    xmlns:autoComplete="br.com.desenv.framework.component.visual.autoComplete.*">
	
	<fx:Style source="../../../framework/util/estilo.css"/>
	
	
	<fx:Metadata>
		[Event(name="PagamentoDocumentoEntradaSaidaSelecionadoEvent")]
	</fx:Metadata>
	
	<fx:Script>
		<![CDATA[
			import br.net.upcode.framework.amf.AMFConnector;
			import br.net.upcode.framework.popup.UPCPopUpManager;
			import br.com.desenv.framework.util.DsvObjectUtil;
			import mx.core.FlexGlobals;;
			import mx.collections.ArrayCollection;
			import mx.rpc.events.FaultEvent;
			import mx.rpc.events.ResultEvent;
			import mx.rpc.remoting.mxml.RemoteObject;
			import mx.controls.Alert;
			
			import mx.events.CloseEvent;
			import mx.events.FlexEvent;
			import mx.managers.PopUpManager;
			
			
			import mx.controls.DateField;
			import mx.validators.Validator;
			import spark.events.TitleWindowBoundsEvent;
			
			
			import br.com.desenv.nepalign.vo.Page;
			import br.com.desenv.nepalign.vo.PagamentoDocumentoEntradaSaida;

			import br.com.desenv.nepalign.vo.DocumentoEntradaSaida;
			import br.com.desenv.nepalign.vo.FormaPagamento;
			import br.com.desenv.nepalign.vo.EmpresaFisica;
			
			[Bindable]
			public var listaPagamentoDocumentoEntradaSaida: ArrayCollection = new ArrayCollection();
			private var pageNumber: int = 1;
			private var totalRecords: int;
			private var pageSize: int = 15;
			private var lastPage: int = 1;
			
			[Bindable]
			private var listaDocumentoEntradaSaidaPesquisa: ArrayCollection = new ArrayCollection();
			[Bindable]
			private var listaFormaPagamentoPesquisa: ArrayCollection = new ArrayCollection();
			[Bindable]
			private var listaEmpresaPesquisa: ArrayCollection = new ArrayCollection();

			private var documentoEntradaSaida: DocumentoEntradaSaida;
			private var empresa: EmpresaFisica;
			
			private var pagamentoDocumentoEntradaSaidaComponenteDetalhe: PagamentoDocumentoEntradaSaidaComponenteDetalhe;

			[Bindable]
			private var listaValidadorForm: Array = new Array();
			
// ---------------------------------- FUNCOES DE INICIALIZACAO E FINALIZACAO --------------------------------			
			
			
			
			private function validar(event: MouseEvent):Boolean 
			{
				var listaErroValidador:Array = Validator.validateAll(this.listaValidadorForm);
				var validado:Boolean = listaErroValidador.length == 0;
				return validado;
			}
			
			// Indica todas as validacoes necessarias
			private function carregarListaValidacao(): void
			{
				//implemente aqui outros validadores se necessario
			}

			private function montarObjetoFiltro(): PagamentoDocumentoEntradaSaida
			{
				var pagamentoDocumentoEntradaSaidaFiltro: PagamentoDocumentoEntradaSaida = new PagamentoDocumentoEntradaSaida();
				
				//pagamentoDocumentoEntradaSaidaFiltro.empresa = this.empresa;	
				pagamentoDocumentoEntradaSaidaFiltro.empresa = ignAutoCompleteEmpresaPesquisa.itemSelecionado as EmpresaFisica;			
							
				//pagamentoDocumentoEntradaSaidaFiltro.documentoEntradaSaida = this.documentoEntradaSaida;	
				pagamentoDocumentoEntradaSaidaFiltro.documentoEntradaSaida = ignAutoCompleteDocumentoEntradaSaidaPesquisa.itemSelecionado as DocumentoEntradaSaida;			
							
				pagamentoDocumentoEntradaSaidaFiltro.formaPagamento = ignComboBoxAutoCompleteFormaPagamentoPesquisa.selectedItem; 
				pagamentoDocumentoEntradaSaidaFiltro.entradaSaida = ignComboBoxFixoEntradaSaidaPesquisa.selectedItem == null?null:ignComboBoxFixoEntradaSaidaPesquisa.selectedItem.codigo == ""?null:ignComboBoxFixoEntradaSaidaPesquisa.selectedItem.codigo; 
				pagamentoDocumentoEntradaSaidaFiltro.numeroFatura = ignTextInputNumeroFaturaPesquisa.text == ""?null:ignTextInputNumeroFaturaPesquisa.text;
				pagamentoDocumentoEntradaSaidaFiltro.dataVencimento = ignTextInputDataVencimentoPesquisa.text == ""?null:DateField.stringToDate(ignTextInputDataVencimentoPesquisa.text, "DD/MM/YYYY");
				pagamentoDocumentoEntradaSaidaFiltro.valor =  ignTextInputDoubleValorPesquisa.text == ""?NaN:parseFloat(ignTextInputDoubleValorPesquisa.text);
				pagamentoDocumentoEntradaSaidaFiltro.situacao = ignComboBoxFixoSituacaoPesquisa.selectedItem == null?null:ignComboBoxFixoSituacaoPesquisa.selectedItem.codigo == ""?null:ignComboBoxFixoSituacaoPesquisa.selectedItem.codigo; 
				pagamentoDocumentoEntradaSaidaFiltro.observacao = ignTextAreaObservacaoPesquisa.text == ""?null:ignTextAreaObservacaoPesquisa.text;
				return pagamentoDocumentoEntradaSaidaFiltro;
			}
			
			private function creationCompleteHandler( event: FlexEvent ): void {
				carregarListaValidacao();
				
				var remoteObjectPagamentoDocumentoEntradaSaida: RemoteObject  = AMFConnector.instance.prepararObjetoRemoto("pagamentoDocumentoEntradaSaidaService", listarResultHandler);	
				
				var remoteObjectFormaPagamento: RemoteObject  = AMFConnector.instance.prepararObjetoRemoto("formaPagamentoService", listarFormaPagamentoPesquisaResultHandler);	
				remoteObjectFormaPagamento.getOperation("listar").send();
				
				var pagamentoDocumentoEntradaSaidaFiltro: PagamentoDocumentoEntradaSaida = new PagamentoDocumentoEntradaSaida();
				remoteObjectPagamentoDocumentoEntradaSaida.getOperation("listarPaginadoPorObjetoFiltro").send(pageSize, 1, pagamentoDocumentoEntradaSaidaFiltro); 
			}
			
			protected function titlewindowCloseHandler(event:CloseEvent):void
			{
				UPCPopUpManager.instance.removePopUp(this);
			}
			
// ---------------------------------- RETORNO DA FUNCAO LISTAR  --------------------------------	
			
			private function listarResultHandler( event: ResultEvent ): void {
				var paginaPagamentoDocumentoEntradaSaida: Page = event.result as Page;
				pageNumber = paginaPagamentoDocumentoEntradaSaida.pageNumber;
				totalRecords = paginaPagamentoDocumentoEntradaSaida.totalRecords;
				lastPage = paginaPagamentoDocumentoEntradaSaida.lastPage();
				listaPagamentoDocumentoEntradaSaida = paginaPagamentoDocumentoEntradaSaida.recordList;
				labelPaginaAtual.text = "" + paginaPagamentoDocumentoEntradaSaida.pageNumber;
				labelTotalRegistro.text = "Total de Registros " + paginaPagamentoDocumentoEntradaSaida.totalRecords;
			}

// CARREGANDO COMBOS			
			private function listarFormaPagamentoPesquisaResultHandler( event: ResultEvent ): void 
			{
				listaFormaPagamentoPesquisa = event.result as ArrayCollection;
				listaFormaPagamentoPesquisa.addItemAt(null, 0);
			}

// ---------------------------------- ADICIONAR DINAMICAMENTE  --------------------------------				
			protected function buttonPesquisarDocumentoEntradaSaidaPesquisa_clickHandler(event:MouseEvent):void
			{
				var documentoEntradaSaidaComponentePesquisa: DocumentoEntradaSaidaComponentePesquisa = new DocumentoEntradaSaidaComponentePesquisa();
				documentoEntradaSaidaComponentePesquisa.addEventListener("DocumentoEntradaSaidaSelecionadoEvent", atualizarDocumentoEntradaSaidaPesquisaPorSelecaoResultHandler);
				UPCPopUpManager.instance.addPopUp(documentoEntradaSaidaComponentePesquisa, this, true);
				UPCPopUpManager.instance.centerWindow(documentoEntradaSaidaComponentePesquisa);
			}
			
			private function atualizarDocumentoEntradaSaidaPesquisaPorSelecaoResultHandler(e:ResultEvent):void
			{
				var novoDocumentoEntradaSaida: DocumentoEntradaSaida = e.result as DocumentoEntradaSaida;
				ignAutoCompleteDocumentoEntradaSaidaPesquisa.itemSelecionado = novoDocumentoEntradaSaida;
			}
			protected function buttonPesquisarEmpresaPesquisa_clickHandler(event:MouseEvent):void
			{
				var empresaFisicaComponentePesquisa: EmpresaFisicaComponentePesquisa = new EmpresaFisicaComponentePesquisa();
				empresaFisicaComponentePesquisa.addEventListener("EmpresaFisicaSelecionadoEvent", atualizarEmpresaPesquisaPorSelecaoResultHandler);
				UPCPopUpManager.instance.addPopUp(empresaFisicaComponentePesquisa, this, true);
				UPCPopUpManager.instance.centerWindow(empresaFisicaComponentePesquisa);
			}
			
			private function atualizarEmpresaPesquisaPorSelecaoResultHandler(e:ResultEvent):void
			{
				var novoEmpresa: EmpresaFisica = e.result as EmpresaFisica;
				ignAutoCompleteEmpresaPesquisa.itemSelecionado = novoEmpresa;
			}
	
			
			
// -------------FUNCAO DE FILTRAR  -------------------------------------------------------			

			private function buttonFiltrarClickHandler( event: MouseEvent ): void {
				if (validar(event))
				{
					var remoteObjectPagamentoDocumentoEntradaSaida: RemoteObject  = AMFConnector.instance.prepararObjetoRemoto("pagamentoDocumentoEntradaSaidaService", listarResultHandler);	
					remoteObjectPagamentoDocumentoEntradaSaida.getOperation("listarPaginadoPorObjetoFiltro").send(pageSize, 1, montarObjetoFiltro());
				}	 
			}
			
// -------------FUNCOES DE INSERIR E ATUALIZAR  -------------------------------------------------------			

			private function buttonInserir_clickHandler( event: MouseEvent): void 
			{
				var pagamentoDocumentoEntradaSaidaComponenteCadastro: PagamentoDocumentoEntradaSaidaComponenteCadastro = new PagamentoDocumentoEntradaSaidaComponenteCadastro();
				pagamentoDocumentoEntradaSaidaComponenteCadastro.pagamentoDocumentoEntradaSaida = new PagamentoDocumentoEntradaSaida(); 
				pagamentoDocumentoEntradaSaidaComponenteCadastro.addEventListener("PagamentoDocumentoEntradaSaidaIncluidoEvent", atualizarListaPagamentoDocumentoEntradaSaidaPorInclusaoResultHandler);
				UPCPopUpManager.instance.addPopUp(pagamentoDocumentoEntradaSaidaComponenteCadastro, this, true);
				UPCPopUpManager.instance.centerWindow(pagamentoDocumentoEntradaSaidaComponenteCadastro);
			}
			
			protected function buttonFechar_clickHandler(event:MouseEvent):void
			{
				var pagamentoDocumentoEntradaSaidaSelecionado: PagamentoDocumentoEntradaSaida = datagridListaPagamentoDocumentoEntradaSaida.selectedItem as PagamentoDocumentoEntradaSaida;
				this.dispatchEvent(new ResultEvent("PagamentoDocumentoEntradaSaidaSelecionadoEvent",false, true, pagamentoDocumentoEntradaSaidaSelecionado, null, null));
				UPCPopUpManager.instance.removePopUp(this);
			}
			
			protected function datagridListaPagamentoDocumentoEntradaSaida_doubleClickHandler(event:MouseEvent):void
			{
				pagamentoDocumentoEntradaSaidaComponenteDetalhe = new PagamentoDocumentoEntradaSaidaComponenteDetalhe();
				pagamentoDocumentoEntradaSaidaComponenteDetalhe.pagamentoDocumentoEntradaSaida = datagridListaPagamentoDocumentoEntradaSaida.selectedItem as PagamentoDocumentoEntradaSaida;
				pagamentoDocumentoEntradaSaidaComponenteDetalhe.addEventListener("PagamentoDocumentoEntradaSaidaExcluidoEvent", atualizarListaPagamentoDocumentoEntradaSaidaPorExclusaoResultHandler);
				pagamentoDocumentoEntradaSaidaComponenteDetalhe.addEventListener("PagamentoDocumentoEntradaSaidaAtualizadoEvent", atualizarListaPagamentoDocumentoEntradaSaidaPorAtualizacaoResultHandler);
				UPCPopUpManager.instance.addPopUp(pagamentoDocumentoEntradaSaidaComponenteDetalhe, this, true);
				UPCPopUpManager.instance.centerWindow(pagamentoDocumentoEntradaSaidaComponenteDetalhe);
			}
			
			
			private function atualizarListaPagamentoDocumentoEntradaSaidaPorInclusaoResultHandler(e:Event):void
			{
				var remoteObjectPagamentoDocumentoEntradaSaida: RemoteObject  = AMFConnector.instance.prepararObjetoRemoto("pagamentoDocumentoEntradaSaidaService", listarResultHandler);	
				remoteObjectPagamentoDocumentoEntradaSaida.getOperation("listarPaginadoPorObjetoFiltro").send(pageSize, lastPage, montarObjetoFiltro()); 
			}
			
			private function atualizarListaPagamentoDocumentoEntradaSaidaPorAtualizacaoResultHandler(e:Event):void
			{
				var remoteObjectPagamentoDocumentoEntradaSaida: RemoteObject  = AMFConnector.instance.prepararObjetoRemoto("pagamentoDocumentoEntradaSaidaService", listarResultHandler);	
				remoteObjectPagamentoDocumentoEntradaSaida.getOperation("listarPaginadoPorObjetoFiltro").send(pageSize, pageNumber, montarObjetoFiltro()); 
				
			}
			
			
			private function atualizarListaPagamentoDocumentoEntradaSaidaPorExclusaoResultHandler(e:Event):void
			{
				var remoteObjectPagamentoDocumentoEntradaSaida: RemoteObject  = AMFConnector.instance.prepararObjetoRemoto("pagamentoDocumentoEntradaSaidaService", listarResultHandler);	
				remoteObjectPagamentoDocumentoEntradaSaida.getOperation("listarPaginadoPorObjetoFiltro").send(pageSize, pageNumber, montarObjetoFiltro()); 
			}
			
			
			
			
		
// -------------FUNCOES DE NAVEGACAO -------------------------------------------------------			
			protected function linkButtonProximaPagina_clickHandler(event:MouseEvent):void
			{
				var remoteObjectPagamentoDocumentoEntradaSaida: RemoteObject  = AMFConnector.instance.prepararObjetoRemoto("pagamentoDocumentoEntradaSaidaService", listarResultHandler);	

				if (pageNumber < lastPage)
				{
					remoteObjectPagamentoDocumentoEntradaSaida.getOperation("listarPaginadoPorObjetoFiltro").send(pageSize, (pageNumber + 1), montarObjetoFiltro());
				}
				else
				{
					remoteObjectPagamentoDocumentoEntradaSaida.getOperation("listarPaginadoPorObjetoFiltro").send(pageSize, lastPage, montarObjetoFiltro());
				}				
			}
			
			protected function linkButtonAnteriorPagina_clickHandler(event:MouseEvent):void
			{
				var remoteObjectPagamentoDocumentoEntradaSaida: RemoteObject  = AMFConnector.instance.prepararObjetoRemoto("pagamentoDocumentoEntradaSaidaService", listarResultHandler);	
				
				if (pageNumber > 1)
				{
					remoteObjectPagamentoDocumentoEntradaSaida.getOperation("listarPaginadoPorObjetoFiltro").send(pageSize, (pageNumber - 1) , montarObjetoFiltro());
				}
				else
				{
					remoteObjectPagamentoDocumentoEntradaSaida.getOperation("listarPaginadoPorObjetoFiltro").send(pageSize, 1 , montarObjetoFiltro());
				}
			}
			
			protected function linkButtonPrimeiraPagina_clickHandler(event:MouseEvent):void
			{
				var remoteObjectPagamentoDocumentoEntradaSaida: RemoteObject  = AMFConnector.instance.prepararObjetoRemoto("pagamentoDocumentoEntradaSaidaService", listarResultHandler);	
				remoteObjectPagamentoDocumentoEntradaSaida.getOperation("listarPaginadoPorObjetoFiltro").send(pageSize, 1 , montarObjetoFiltro()); 
			}
			
			protected function linkButtonUltimaPagina_clickHandler(event:MouseEvent):void
			{
				var remoteObjectPagamentoDocumentoEntradaSaida: RemoteObject  = AMFConnector.instance.prepararObjetoRemoto("pagamentoDocumentoEntradaSaidaService", listarResultHandler);	
				remoteObjectPagamentoDocumentoEntradaSaida.getOperation("listarPaginadoPorObjetoFiltro").send(pageSize, lastPage , montarObjetoFiltro()); 
			}
		]]>
	</fx:Script>
	
	<fx:Declarations>
		<!-- Place non-visual elements (e.g., services, value objects) here -->
		<s:ArrayCollection id="listaOpcaoEntradaSaida">
			<fx:Object codigo="" valor=""/>
			<fx:Object codigo="E" valor="Entrada"/>
			<fx:Object codigo="S" valor="Saída"/>
		</s:ArrayCollection>
		<s:ArrayCollection id="listaOpcaoSituacao">
			<fx:Object codigo="" valor=""/>
			<fx:Object codigo="1" valor="Digitado"/>
			<fx:Object codigo="2" valor="Revisado"/>
		</s:ArrayCollection>
		<s:ArrayCollection id="listaOpcaoSimNao">
			<fx:Object codigo="" valor=""/>
			<fx:Object codigo="S" valor="Sim"/>
			<fx:Object codigo="N" valor="Nao"/>
		</s:ArrayCollection>
			
	</fx:Declarations>
	
	<mx:Grid styleName="grid" verticalScrollPolicy="auto" horizontalScrollPolicy="auto" maxHeight="600" maxWidth="1024">
		<mx:GridRow>
			<mx:GridItem colSpan="4" horizontalAlign="center">
				<s:Spacer/>
			</mx:GridItem>
		</mx:GridRow>	
		<mx:GridRow>


			<mx:GridItem styleName="gridLabel">
				<s:Label text="Empresa:"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridValor">
				<s:VGroup>
					<s:Label id="labelValidacaoEmpresaPesquisa" styleName="labelValidacao" text="{ignAutoCompleteEmpresaPesquisa.errorString}"/>
					<s:HGroup>
						<autoComplete:IgnAutoComplete idKeyName="id" palavraChave="razaoSocial" id="ignAutoCompleteEmpresaPesquisa" enviarArgumentos="true" destino="empresaFisicaService" funcaoChamada="listarPorObjetoFiltro" lenStartConsulta="3"  nomeClasseObjetoFiltro="br.com.desenv.nepalign.vo.EmpresaFisica" tabEnabled="true" />  
						<s:Button id="buttonPesquisarEmpresaPesquisa" width="30" label="..." click="buttonPesquisarEmpresaPesquisa_clickHandler(event)"/>
					</s:HGroup>
				</s:VGroup>
			</mx:GridItem>


			<mx:GridItem styleName="gridLabel">
				<s:Label text="Documento de Entrada/Saída:"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridValor">
				<s:VGroup>
					<s:Label id="labelValidacaoDocumentoEntradaSaidaPesquisa" styleName="labelValidacao" text="{ignAutoCompleteDocumentoEntradaSaidaPesquisa.errorString}"/>
					<s:HGroup>
						<autoComplete:IgnAutoComplete idKeyName="id" palavraChave="numeroDocumentoEntradaSaida" id="ignAutoCompleteDocumentoEntradaSaidaPesquisa" enviarArgumentos="true" destino="documentoEntradaSaidaService" funcaoChamada="listarPorObjetoFiltro" lenStartConsulta="3"  nomeClasseObjetoFiltro="br.com.desenv.nepalign.vo.DocumentoEntradaSaida" tabEnabled="true" />  
						<s:Button id="buttonPesquisarDocumentoEntradaSaidaPesquisa" width="30" label="..." click="buttonPesquisarDocumentoEntradaSaidaPesquisa_clickHandler(event)"/>
					</s:HGroup>
				</s:VGroup>
			</mx:GridItem>


		</mx:GridRow>
		<mx:GridRow>
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Forma de Pagamento:"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridValor">
				<s:VGroup>
					<s:Label id="labelValidacaoFormaPagamentoPesquisa" styleName="labelValidacao" text="{ignComboBoxAutoCompleteFormaPagamentoPesquisa.errorString}"/>
					<visual:IgnComboBoxAutoComplete id="ignComboBoxAutoCompleteFormaPagamentoPesquisa" dataProvider="{listaFormaPagamentoPesquisa}" labelField="descricao" obrigatorio="false" listaValidadorForm="{this.listaValidadorForm}"/>
				</s:VGroup>
			</mx:GridItem>		


			<mx:GridItem styleName="gridLabel">
				<s:Label text="Entrada/Saída:"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridValor">
				<s:VGroup>
					<s:Label id="labelValidacaoEntradaSaidaPesquisa" styleName="labelValidacao" text="{ignComboBoxFixoEntradaSaidaPesquisa.errorString}"/>
					<visual:IgnComboBoxFixo id="ignComboBoxFixoEntradaSaidaPesquisa" obrigatorio="false" dataProvider="{listaOpcaoEntradaSaida}"  listaValidadorForm="{this.listaValidadorForm}"/> 
				</s:VGroup>
			</mx:GridItem>


		</mx:GridRow>
		<mx:GridRow>
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Número da Fatura:"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridValor">
				<s:VGroup>
					<s:Label id="labelValidacaoNumeroFaturaPesquisa" styleName="labelValidacao" text="{ignTextInputNumeroFaturaPesquisa.errorString}"/>
					<visual:IgnTextInput id="ignTextInputNumeroFaturaPesquisa" obrigatorio="false" listaValidadorForm="{this.listaValidadorForm}"/>
				</s:VGroup>
			</mx:GridItem>


			<mx:GridItem styleName="gridLabel">
				<s:Label text="Data de Vencimento:"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridValor">
				<s:VGroup>
					<s:Label id="labelValidacaoDataVencimentoPesquisa" styleName="labelValidacao" text="{ignTextInputDataVencimentoPesquisa.errorString}"/>
					<visual:IgnTextInputDate id="ignTextInputDataVencimentoPesquisa" obrigatorio="false" listaValidadorForm="{this.listaValidadorForm}"/>
				</s:VGroup>
			</mx:GridItem>


		</mx:GridRow>
		<mx:GridRow>
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Valor:"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridValor">
				<s:VGroup>
					<s:Label id="labelValidacaoValorPesquisa" styleName="labelValidacao" text="{ignTextInputDoubleValorPesquisa.errorString}"/>
					<visual:IgnTextInputDouble id="ignTextInputDoubleValorPesquisa" obrigatorio="false" listaValidadorForm="{this.listaValidadorForm}"/>
				</s:VGroup>
			</mx:GridItem>


			<mx:GridItem styleName="gridLabel">
				<s:Label text="Situação:"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridValor">
				<s:VGroup>
					<s:Label id="labelValidacaoSituacaoPesquisa" styleName="labelValidacao" text="{ignComboBoxFixoSituacaoPesquisa.errorString}"/>
					<visual:IgnComboBoxFixo id="ignComboBoxFixoSituacaoPesquisa" obrigatorio="false" dataProvider="{listaOpcaoSituacao}"  listaValidadorForm="{this.listaValidadorForm}"/> 
				</s:VGroup>
			</mx:GridItem>


		</mx:GridRow>
		<mx:GridRow>
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Observação:"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridValor">
				<s:VGroup>
					<s:Label id="labelValidacaoObservacaoPesquisa" styleName="labelValidacao" text="{ignTextAreaObservacaoPesquisa.errorString}"/>
					<visual:IgnTextArea id="ignTextAreaObservacaoPesquisa" width="100%" heightInLines="5"  obrigatorio="false" listaValidadorForm="{this.listaValidadorForm}"/>
				</s:VGroup>
			</mx:GridItem>



 			<mx:GridItem colSpan="2">
				<s:Spacer/>
			</mx:GridItem>
		</mx:GridRow>		
		<mx:GridRow>
			<mx:GridItem colSpan="4" horizontalAlign="center">
				<s:Spacer/>
			</mx:GridItem>
		</mx:GridRow>
		<mx:GridRow>
			<mx:GridItem colSpan="4" horizontalAlign="right">
				<mx:Button id="buttonFiltrar" label="Filtrar" click="buttonFiltrarClickHandler(event)"/>
			</mx:GridItem>
		</mx:GridRow>
		<mx:GridRow>
			<mx:GridItem colSpan="4">
				<s:Spacer/>	
			</mx:GridItem>
		</mx:GridRow>		
		<mx:GridRow>
			<mx:GridItem colSpan="4" horizontalAlign="center">
				
				
				<mx:LinkButton id="linkButtonPrimeiraPagina" label="&lt;&lt;" click="linkButtonPrimeiraPagina_clickHandler(event)"/>
				<mx:LinkButton id="linkButtonAnteriorPagina" label="&lt;" click="linkButtonAnteriorPagina_clickHandler(event)"/>
				<mx:Label id="labelPaginaAtual" text=""/>
				<mx:LinkButton id="linkButtonProximaPagina" label="&gt;" click="linkButtonProximaPagina_clickHandler(event)"/>
				<mx:LinkButton id="linkButtonUltimaPagina" label="&gt;&gt;" click="linkButtonUltimaPagina_clickHandler(event)"/>				
			</mx:GridItem>
		</mx:GridRow>
		<mx:GridRow>
			<mx:GridItem colSpan="4" horizontalAlign="center">
				<mx:DataGrid id="datagridListaPagamentoDocumentoEntradaSaida"  width="100%" verticalScrollPolicy="on" horizontalScrollPolicy="on" dataProvider="{listaPagamentoDocumentoEntradaSaida}" doubleClick="datagridListaPagamentoDocumentoEntradaSaida_doubleClickHandler(event)" doubleClickEnabled="true">
					<mx:columns>
						<mx:DataGridColumn visible="false" dataField="id"/>
						<mx:DataGridColumn dataField="empresa.razaoSocial" headerText="Empresa" resizable="true"/>
						<mx:DataGridColumn dataField="documentoEntradaSaida.numeroDocumentoEntradaSaida" headerText="Documento de Entrada/Saída" resizable="true"/>
						<mx:DataGridColumn dataField="formaPagamento.descricao" headerText="Forma de Pagamento" resizable="true"/>
						<mx:DataGridColumn dataField="entradaSaidaDescricaoCompleta" headerText="Entrada/Saída" resizable="true"/>
						<mx:DataGridColumn dataField="numeroFatura" headerText="Número da Fatura" resizable="true"/>
						<mx:DataGridColumn dataField="dataVencimento" headerText="Data de Vencimento" resizable="true"/>
<!--
						<mx:DataGridColumn dataField="valor" headerText="Valor" resizable="true"/>
						<mx:DataGridColumn dataField="situacaoDescricaoCompleta" headerText="Situação" resizable="true"/>
						<mx:DataGridColumn dataField="observacao" headerText="Observação" resizable="true"/>
-->
					</mx:columns>
				</mx:DataGrid>
			</mx:GridItem>
		</mx:GridRow>	
		<mx:GridRow>
			
			<mx:GridItem colSpan="2" horizontalAlign="left">
				<mx:Label id="labelTotalRegistro" text=""/>
			</mx:GridItem>
			<mx:GridItem colSpan="2" horizontalAlign="right">
				<mx:Button id="buttonInserir" label="Novo" click="buttonInserir_clickHandler(event)"/>
				<mx:Button id="buttonFechar" label="Fechar" click="buttonFechar_clickHandler(event)"/>
			</mx:GridItem>	
		</mx:GridRow>
				
	</mx:Grid>
</s:TitleWindow>
